Name:                velocity-tools
Version:             2.0
Release:             3
Summary:             Collection of useful tools for Velocity template engine
License:             ASL 2.0
Url:                 http://velocity.apache.org/tools/releases/2.0/
Source0:             http://www.apache.org/dist/velocity/tools/%{version}/%{name}-%{version}-src.tar.gz
Patch0:              %{name}-%{version}-junit4.patch
Patch1:              %{name}-%{version}-dont_copy_test_lib.patch
Patch2:              %{name}-%{version}-servlet.patch
Patch3:              %{name}-%{version}-port-to-dom4j-2.0.patch
Patch4:              CVE-2020-13959.patch
BuildRequires:       maven-local mvn(commons-beanutils:commons-beanutils)
BuildRequires:       mvn(commons-chain:commons-chain) mvn(commons-collections:commons-collections)
BuildRequires:       mvn(commons-digester:commons-digester) mvn(commons-lang:commons-lang)
BuildRequires:       mvn(commons-logging:commons-logging) mvn(commons-validator:commons-validator)
BuildRequires:       mvn(dom4j:dom4j) mvn(org.apache.maven.plugins:maven-resources-plugin)
BuildRequires:       mvn(org.apache.maven.shared:maven-filtering)
BuildRequires:       mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:       mvn(org.apache.struts:struts-core) mvn(org.apache.struts:struts-taglib)
BuildRequires:       mvn(org.apache.struts:struts-tiles) mvn(org.apache.tomcat:tomcat-jsp-api)
BuildRequires:       mvn(org.apache.tomcat:tomcat-servlet-api) mvn(org.apache.velocity:velocity)
BuildRequires:       mvn(oro:oro) mvn(org.apache.tomcat:tomcat-el-api)
%if 0
BuildRequires:       mvn(httpunit:httpunit) = 1.6.1 mvn(nekohtml:nekohtml) = 0.9.5
BuildRequires:       mvn(org.mortbay.jetty:jetty-embedded) = 6.0.1 mvn(rhino:js) = 1.6R5
BuildRequires:       mvn(xerces:xercesImpl) = 2.8.1 mvn(xerces:xmlParserAPIs) = 2.6.2
%endif
BuildRequires:       mvn(junit:junit) xmvn
BuildArch:           noarch
%description
The VelocityTools project is a collection of useful Java classes (aka tools),
as well as infrastructure to easily, automatically and transparently
make these tools available to Velocity templates.
Project include easy integration of Velocity into the view-layer of
web applications (via the VelocityViewTag and
VelocityViewServlet) and integration with Struts 1.x applications.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-src
find . -name "SecureLinkTool.java" -delete
find . -name "*.jar" -delete
find . -name "*.class" -delete
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
sed -i 's/\r//' LICENSE NOTICE WHY_THREE_JARS.txt
%pom_remove_dep javax.servlet:servlet-api
%pom_remove_dep sslext:sslext
%pom_add_dep org.apache.tomcat:tomcat-servlet-api::provided
%pom_add_dep org.apache.tomcat:tomcat-jsp-api::provided
%pom_xpath_remove "pom:project/pom:build/pom:outputDirectory"
%pom_xpath_remove "pom:project/pom:build/pom:directory"
%pom_remove_dep org.mortbay.jetty:jetty-embedded
%mvn_file :%{name} %{name}
%mvn_alias :%{name} %{name}:%{name}
%mvn_alias :%{name} org.apache.velocity:%{name}-generic
%mvn_alias :%{name} %{name}:%{name}-generic
%mvn_alias :%{name} %{name}:%{name}-view
%mvn_alias :%{name} org.apache.velocity:%{name}-view

%build
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc CONTRIBUTORS README.txt STATUS WHY_THREE_JARS.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Sat Mar 20 2021 zhanghua <zhanghua40@huawei.com> - 2.0-3
- fix CVE-2020-13959

* Tue Jan 26 2021 Ge Wang <wangge20@huawei.com> - 2.0-2
- remove dependence to sslext

* Wed Aug 19 2020 maminjie <maminjie1@huawei.com> - 2.0-1
- package init
